Skip to main content
`Ctrl`+`K`

# SNESNASMSetComputeFinalJacobian

Schedules the computation of the global and subdomain Jacobians upon convergence for the nonlinear additive Schwarz solver

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetComputeFinalJacobian(SNES snes, PetscBool flg)

Collective

## Input Parameters

- snes - the SNES context

- flg - `PETSC_TRUE` to compute the Jacobians

## Notes

This is used almost exclusively in the implementation of `SNESASPIN`, where the converged subdomain and global Jacobian is needed at each linear iteration.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNASM`, `SNESNASMGetSubdomains()`

## Level

developer

## Location

src/snes/impls/nasm/nasm.c

## Implementations

SNESNASMSetComputeFinalJacobian_NASM() in src/snes/impls/nasm/nasm.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages